    import User from 'pvbid-sdk/src/domain/User.js'

public class | source

# User

## Constructor Summary

Public Constructor
public | constructor(userData: object) Creates an instance of User. |

## Member Summary

Public Members
public get | accountId: * |
public get | email: * |
public get | id: * |
public get | name: * |
public get | timezone: * |

## Method Summary

Public Methods
public | can(permission: *): * |
public | hasRole(roles: *): * |
public | isImpersonating(): * |
public | permissions(): * |
public | roles(): string[] Gets an array of user roles. |

## Public Constructors

### public constructor(userData: object) source

Creates an instance of User.

#### Params:

Name | Type | Attribute | Description
userData | object |  |

## Public Members

### public get accountId: * source

### public get email: * source

### public get id: * source

### public get name: * source

### public get timezone: * source

## Public Methods

### public can(permission: *): * source

#### Params:

Name | Type | Attribute | Description
permission | * |  |

#### Return:

*

### public hasRole(roles: *): * source

#### Params:

Name | Type | Attribute | Description
roles | * |  |

#### Return:

*

### public isImpersonating(): * source

#### Return:

*

### public permissions(): * source

#### Return:

*

### public roles(): string[] source

Gets an array of user roles.

#### Return:

string[]